Discover On Care Contexts
curl --request POST \
--url https://api.eka.care/abdm/v1/care-contexts/on-discover \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"request_id": "<string>",
"txn_id": "<string>",
"error": {
"code": 123,
"message": "<string>"
},
"patients": [
{
"care_contexts": [
{
"display": "<string>",
"ref_num": "<string>"
}
],
"display": "<string>",
"ref_num": "<string>"
}
]
}
'import requests
url = "https://api.eka.care/abdm/v1/care-contexts/on-discover"
payload = {
"request_id": "<string>",
"txn_id": "<string>",
"error": {
"code": 123,
"message": "<string>"
},
"patients": [
{
"care_contexts": [
{
"display": "<string>",
"ref_num": "<string>"
}
],
"display": "<string>",
"ref_num": "<string>"
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
request_id: '<string>',
txn_id: '<string>',
error: {code: 123, message: '<string>'},
patients: [
{
care_contexts: [{display: '<string>', ref_num: '<string>'}],
display: '<string>',
ref_num: '<string>'
}
]
})
};
fetch('https://api.eka.care/abdm/v1/care-contexts/on-discover', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}{
"code": 123,
"error": "<string>",
"source_error": {
"code": "<string>",
"message": "<string>"
}
}HIP
Discover On Care Contexts
This API is used to send unlinked care contexts to abdm.
POST
/
abdm
/
v1
/
care-contexts
/
on-discover
Discover On Care Contexts
Call this API in response to the Discovery Request Received webhook. Use the
request_id and txn_id from the webhook payload when constructing your response.Authorizations
The API requires a Bearer token (JWT) for authentication.
Headers
Eka User ID (OID)
Partner User ID
Partner HIP ID
Body
application/json
Request ID that is received in the webhook call
transaction id that is received in the webhhok call.
Error details, if any
Show child attributes
Show child attributes
List of patients including reference number, display name, care contexts, and HI type
Show child attributes
Show child attributes
Response
No Content
Was this page helpful?
⌘I

